<?php

$buttons['instant_abutton'] = array(
	'tag'	=> 'abutton',
	'type'	=> 'closed',
	'title'	=> 'Add a Call-to-Action Button',
	'icon'	=> 'abutton.png',
	'params'=> array(
		'label'		=> array('Okay Cool', '#instant_abutton_label'),
		'url'		=> array('http://google.com', '#instant_abutton_url'),
		'img'		=> array('', '#instant_abutton_img'),
		'imgpos'	=> array('top', 'button[name="instant_abutton_imgpos"].active'),
		'target'	=> array('_blank', 'button[name="instant_abutton_target"].active'),
		'style'		=> array('', '#instant_abutton_style'),
		'align'		=> array('left', 'button[name="instant_abutton_align"].active'),
		'color'		=> array('a68a00', '#custom_abutton_color'),
		'textshadow' => array('fff2bf', '#custom_abutton_textshadow'),
		'bg'		=> array('ffe229', '#custom_abutton_bgcolor'),
		'border'	=> array('c99702', '#custom_abutton_border'),
		'shadow'	=> array('9e9e9e', '#custom_abutton_shadow'),
		'size'		=> array('22', '#instant_abutton_size'),
		'family'	=> array('arial', '#instant_abutton_family'),
		'padding'	=> array('10+30+10+30', '#instant_abutton_padding'),
		'borderwidth' => array('1+1+1+1', '#instant_abutton_border_width'),
		'radius'	=> array('20', '#instant_abutton_border_radius'),
		'shadowradius' => array('3', '#instant_abutton_shadow_radius')
	)
);

$buttons['instant_button'] = array(
	'tag'	=> 'button',
	'type'	=> 'closed',
	'title'	=> 'Add a Button',
	'icon'	=> 'button.png',
	'params'=> array(
		'type' 	=> array('addtocart', '#instant_btn_type'),
		'color'	=> array('yellow', 'button[name="instant_btn_color"].active'),
		'link'	=> array('#', '#instant_btn_link'),
		'target'=> array('blank', 'button[name="instant_btn_target"].active'),
		'align'	=> array('left', 'button[name="instant_btn_align"].active')
	)
);

$buttons['instant_bullet'] = array(
	'tag'	=> 'blt',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Bullet',
	'icon'	=> 'bullet.png',
	'params'=> array(
		'type'	=> array('0', '#instant_bullet_icon'),
		'size' 	=> array('medium', 'button[name="instant_bullet_size"].active'),
		'color'	=> array('000000', '#custom_headline_color'),
		'content' => array('Your content', '#instant_bullet_headline'),
		'font' 	=> array('arial', '#instant_bullet_font'),
		'align' => array('left', 'button[name="instant_bullet_align"].active')
	)
);

$buttons['instant_list'] = array(
	'tag'	=> 'list',
	'type'	=> 'custom',
	'title'	=> 'Add List Points',
	'icon'	=> 'list.png',
	'params' => array()
	/* Custom Params in jQuery */
);

$buttons['instant_opener'] = array(
	'tag'	=> 'opener',
	'type'	=> 'enclosed',
	'title'	=> 'Add an Opener',
	'icon'	=> 'opener.png',
	'params'=> array(
		'color'	=> array('000000', '#custom_headline_color'),
		'content' => array('Your text here', '#instant_opener_headline'),
		'font'	=> array('arial', '#instant_opener_font'),
		'align'	=> array('left', 'button[name="instant_opener_align"].active'),
		'size'	=> array('medium', 'button[name="instant_opener_size"].active')
	)
);

$buttons['instant_closer'] = array(
	'tag'	=> 'closer',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Closer',
	'icon'	=> 'closer.png',
	'params'=> array(
		'color'	=> array('000000', '#custom_headline_color'),
		'content' => array('Your text here', '#instant_closer_headline'),
		'font'	=> array('arial', '#instant_closer_font'),
		'align'	=> array('left', 'button[name="instant_closer_align"].active'),
		'size'	=> array('medium', 'button[name="instant_closer_size"].active')
	)
);

$buttons['instant_contentbox'] = array(
	'tag'	=> 'contentbox',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Content Box',
	'icon'	=> 'contentbox.png',
	'params'=> array(
		'content'		=> array('Your content', '#instant_contentbox_content'),
		'padding'		=> array('20+20+20+20', '#instant_contentbox_padding'),
		'style'			=> array('solid', 'button[name="instant_contentbox_border_style"].active'),
		'borderwidth'	=> array('1+0+1+0', '#instant_contentbox_border_width'),
		'bordercolor'	=> array('FFDB2A+FFDB2A+FFDB2A+FFDB2A', '#instant_contentbox_border_color'),
		'radius'		=> array('0', '#instant_contentbox_border_radius'),
		'bgcolor'		=> array('FFFEDF', '#custom_contentbox_background'),
		'color'			=> array('000000', '#custom_contentbox_color'),
		'textshadow'	=> array('FFFFFF', '#custom_contentbox_textshadow'),
		'shadow'		=> array('FFFFFF', '#custom_contentbox_shadow'),
		'shadowradius'	=> array('0', '#instant_contentbox_shadow_radius')
	)
);

$buttons['instant_testimonial'] = array(
	'tag'	=> 'testimonial',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Testimonial',
	'icon'	=> 'testimonial.png',
	'params'=> array(
		'author'		=> array('Chuck Testa', '#instant_testimonial_author'),
		'style'			=> array('solid', 'button[name="instant_testimonial_border_style"].active'),
		'borderwidth'	=> array('1+0+1+0', '#instant_testimonial_border_width'),
		'bordercolor'	=> array('DAD49A+DAD49A+DAD49A+DAD49A', '#instant_testimonial_border_color'),
		'radius'		=> array('0', '#instant_testimonial_border_radius'),
		'bgcolor'		=> array('FFFEDF', '#custom_testimonial_background'),
		'color'			=> array('000000', '#custom_testimonial_color'),
		'textshadow'	=> array('FFFFFF', '#custom_testimonial_textshadow'),
		'content'		=> array('Great! Your text here', '#instant_testimonial_content'),
		'pic'			=> array('', '#instant_testimonial_pic'),
		'picpos'		=> array('left', 'button[name="instant_testimonial_pic_pos"].active'),
		'url'			=> array('#', '#instant_testimonial_url')
	)
);

$buttons['instant_guarantee'] = array(
	'tag'	=> 'guarantee',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Guarantee Box',
	'icon'	=> 'guarantee.png',
	'params'=> array(
		'title'		=> array('Money Back Guarantee', '#instant_guaranteebox_title'),
		'content'	=> array('Your Guarantee content', '#instant_guaranteebox_content'),
		'type'		=> array('0', 'button[name="instant_guaranteebox_type"].active'),
		'imgpos'	=> array('left', 'button[name="instant_guaranteebox_image_align"].active'),
		'bordercolor'	=> array('FFDB2A+FFDB2A+FFDB2A+FFDB2A', '#instant_guaranteebox_border_color'),
		'borderwidth' => array('1+1+1+1', '#instant_guaranteebox_border_width'),
		'style'		=> array('solid', 'button[name="instant_guaranteebox_border_style"].active'),
		'padding'	=> array('20', '#instant_guaranteebox_padding'),
		'bgcolor'	=> array('FFEFA3', '#custom_guaranteebox_background'),
		'color'		=> array('000000', '#custom_guaranteebox_color'),
		'font'		=> array('arial', '#instant_guaranteebox_font')
	)
);

$buttons['instant_font'] = array(
	'tag'	=> 'font',
	'type'	=> 'enclosed',
	'title'	=> 'Insert Web Fonts',
	'icon'	=> 'font.png',
	'br'	=> FALSE,
	'params'=> array(
		'br'		=> FALSE,
		'size'		=> array('12', '#instant_font_size'),
		'color'		=> array('000000', '#custom_font_color'),
		'content'	=> array('Your text here', '#instant_font_content'),
		'family'	=> array('arial', '#instant_font_family')
	)
);

$buttons['instant_headline'] = array(
	'tag'	=> 'h1',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Headline',
	'icon'	=> 'headline.png',
	'params'=> array(
		'size'		=> array('h1', 'button[name="instant_headline_size"].active'),
		'color'		=> array('000000', '#custom_headline_color'),
		'content'	=> array('Your text here', '#instant_headline_headline'),
		'font'		=> array('arial', '#instant_headline_font'),
		'align'		=> array('left', 'button[name="instant_headline_align"].active')
	)
);

$buttons['instant_subheadline'] = array(
	'tag'	=> 'h2',
	'type'	=> 'enclosed',
	'title'	=> 'Add a Sub Headline',
	'icon'	=> 'subheadline.png',
	'params'=> array(
		'size'		=> array('h1', 'button[name="instant_subheadline_size"].active'),
		'color'		=> array('000000', '#custom_headline_color'),
		'content'	=> array('Your text here', '#instant_subheadline_headline'),
		'font'		=> array('arial', '#instant_subheadline_font'),
		'align'		=> array('left', 'button[name="instant_subheadline_align"].active')
	)
);

$buttons['instant_ps'] = array(
	'tag'	=> 'ps',
	'type'	=> 'enclosed',
	'title'	=> 'Add a P.S.',
	'icon'	=> 'ps.png',
	'params'=> array(
		'color'	=> array('000000', '#custom_headline_color'),
		'content' => array('Your text here', '#instant_ps_headline'),
		'font'	=> array('arial', '#instant_ps_font'),
		'align'	=> array('left', 'button[name="instant_ps_align"].active'),
		'size'	=> array('medium', 'button[name="instant_ps_size"].active')
	)
);

$buttons['instant_countdown'] = array(
	'tag'	=> 'countdown',
	'type'	=> 'closed',
	'title'	=> 'Add a Countdown',
	'icon'	=> 'countdown.png',
	'params'=> array(
		'gmt'	=> array('+8', '#instant_countdown_until_gmt'),
		'until' => array('2013:'.date('m:d:g:i:s').':', '#instant_countdown_until'),
		'days' => array('days', '#instant_countdown_days'),
		'hours' => array('hours', '#instant_countdown_hours'),
		'mins' => array('mins', '#instant_countdown_mins'),
		'secs' => array('secs', '#instant_countdown_secs'),
		'font' => array('arial', '#instant_countdown_font'),
		'color' => array('FFFFFF', '#custom_countdown_color'),
		'textshadow' => array('000000', '#custom_countdown_shadow'),
		'labelcolor' => array('000000', '#custom_countdown_label_color'),
		'bgcolor' => array('000000', '#custom_countdown_bgcolor')
	)
);

$buttons['instant_video'] = array(
	'tag'	=> 'video',
	'type'	=> 'closed',
	'title'	=> 'Add a Video',
	'icon'	=> 'video.png',
	'params'=> array(
		'player'	=> array('jw', 'button[name="instant_video_player"].active'),
		'border'	=> array('0', 'button[name="instant_video_border"].active'),
		'shadow'	=> array('0', 'button[name="instant_video_shadow"].active'),
		'file'		=> array(PLUGINAPP_URL.'assets/player/jw/video.mp4', '#instant_video_url'),
		'width'		=> array('480', '#instant_video_size_w'),
		'height'	=> array('270', '#instant_video_size_h'),
		'skin'		=> array('default', '#instant_video_player_jw_skin_hidden')
	)
);

/* End of File button.php */