<?php

class Popup extends Plugin_Framework {

	function instant_abutton()
	{
		$this->set('title', 'Insert Call-to-Action Button into Post')
			->set('colorpicker', TRUE)
			->set('gfont', TRUE)
			->view('popup/abutton');
	}

	function instant_button()
	{
		$this->set('title', 'Insert Button into Post')
			->view('popup/button');
	}

	function instant_bullet()
	{
		$this->set('title', 'Insert Bullet into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/bullet');
	}

	function instant_opener()
	{
		$this->set('title', 'Insert Opener into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/opener');
	}

	function instant_closer()
	{
		$this->set('title', 'Insert Closer into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/closer');
	}

	function instant_contentbox()
	{
		$this->set('title', 'Insert Content Box into Post')
			->set('colorpicker', TRUE)
			->view('popup/contentbox');
	}

	function instant_guarantee()
	{
		$this->set('title', 'Insert Guarantee Box into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/guaranteebox');
	}

	function instant_font()
	{
		$this->set('title', 'Insert Web Fonts into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/font');
	}

	function instant_headline()
	{
		$this->set('title', 'Insert Headline into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/headline');
	}

	function instant_subheadline()
	{
		$this->set('title', 'Insert Sub Headline into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/subheadline');
	}

	function instant_list()
	{
		$this->set('title', 'Insert List Point into Post')
			->view('popup/listpoint');
	}

	function instant_testimonial()
	{
		$this->set('title', 'Insert Testimonial into Post')
			->set('colorpicker', TRUE)
			->view('popup/testimonial');
	}

	function instant_video()
	{
		$this->set('title', 'Insert custom Video Player into Post')
			->view('popup/video');
	}

	function instant_ps()
	{
		$this->set('title', 'Insert P.S into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/ps');
	}

	function instant_countdown()
	{
		$this->set('title', 'Insert Countdown into Post')
			->set('gfont', TRUE)
			->set('colorpicker', TRUE)
			->view('popup/countdown');
	}

}

/* End of controllers/popup.php */