<?php

class Shortcodes extends Plugin_Framework {

	function instant_abutton($atts='') {
		$data = array('atts'=>$atts);
		$render = $this->view('shortcode/abutton', $data, TRUE);
		return $render;
	}

	function instant_button($atts='') {
		$data = array('atts'=>$atts);
		$render = $this->view('shortcode/button', $data, TRUE);
		return $render;
	}

	function instant_bullet($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/bullet', $data, TRUE);
		return $render;
	}

	function instant_opener($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/opener', $data, TRUE);
		return $render;
	}

	function instant_closer($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/closer', $data, TRUE);
		return $render;
	}

	function instant_contentbox($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/contentbox', $data, TRUE);
		return $render;
	}

	function instant_guarantee($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/guarantee', $data, TRUE);
		return $render;
	}

	function instant_font($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/font', $data, TRUE);
		return $render;
	}

	function instant_headline($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/headline', $data, TRUE);
		return $render;
	}

	function instant_subheadline($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/subheadline', $data, TRUE);
		return $render;
	}

	function instant_list($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/list', $data, TRUE);
		return $render;
	}

	function instant_testimonial($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/testimonial', $data, TRUE);
		return $render;
	}

	function instant_video($atts='') {
		$data = array('atts'=>$atts);
		$render = $this->view('shortcode/video', $data, TRUE);
		return $render;
	}

	function instant_countdown($atts='') {
		$data = array('atts'=>$atts);
		$render = $this->view('shortcode/countdown', $data, TRUE);
		return $render;
	}

	function instant_ps($atts='', $content = null) {
		$data = array('atts'=>$atts, 'content'=> do_shortcode($content));
		$render = $this->view('shortcode/ps', $data, TRUE);
		return $render;
	}

}

/* End of file controllers/shortcode.php */