<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabsettings" data-toggle="tab">Settings</a></li>
	<li><a href="#tabstyle" data-toggle="tab">Style</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabsettings">
		<div class="control-group">
			<label class="control-label">Until</label>
			<div class="controls control-space">
				<select name="instant_countdown_until_gmt" id="instant_countdown_until_gmt">
					<option value="-12">(GMT -12:00) Eniwetok, Kwajalein</option>
					<option value="-11">(GMT -11:00) Midway Island, Samoa</option>
					<option value="-10">(GMT -10:00) Hawaii</option>
					<option value="-9">(GMT -9:00) Alaska</option>
					<option value="-8">(GMT -8:00) Pacific Time (US &amp; Canada)</option>
					<option value="-7">(GMT -7:00) Mountain Time (US &amp; Canada)</option>
					<option value="-6">(GMT -6:00) Central Time (US &amp; Canada), Mexico City</option>
					<option value="-5">(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima</option>
					<option value="-4">(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz</option>
					<option value="-3">(GMT -3:00) Brazil, Buenos Aires, Georgetown</option>
					<option value="-2">(GMT -2:00) Mid-Atlantic</option>
					<option value="-1">(GMT -1:00 hour) Azores, Cape Verde Islands</option>
					<option value="0">(GMT) Western Europe Time, London, Lisbon, Casablanca</option>
					<option value="1">(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris</option>
					<option value="2">(GMT +2:00) Kaliningrad, South Africa</option>
					<option value="3">(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg</option>
					<option value="3.5">(GMT +3:30) Tehran</option>
					<option value="4">(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi</option>
					<option value="4.5">(GMT +4:30) Kabul</option>
					<option value="5">(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent</option>
					<option value="5.5">(GMT +5:30) Bombay, Calcutta, Madras, New Delhi</option>
					<option value="5.75">(GMT +5:45) Kathmandu</option>
					<option value="6">(GMT +6:00) Almaty, Dhaka, Colombo</option>
					<option value="7">(GMT +7:00) Bangkok, Hanoi, Jakarta</option>
					<option value="8">(GMT +8:00) Beijing, Perth, Singapore, Hong Kong</option>
					<option value="9">(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk</option>
					<option value="9.5">(GMT +9:30) Adelaide, Darwin</option>
					<option value="10">(GMT +10:00) Eastern Australia, Guam, Vladivostok</option>
					<option value="11">(GMT +11:00) Magadan, Solomon Islands, New Caledonia</option>
					<option value="12">(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka</option>
				</select>
				<select id="instant_countdown_until_month" name="instant_countdown_until_month">
					<option value="1">January</option>
					<option value="2">February</option>
					<option value="3">March</option>
					<option value="4">April</option>
					<option value="5">May</option>
					<option value="6">June</option>
					<option value="7">July</option>
					<option value="8">August</option>
					<option value="9">September</option>
					<option value="10">October</option>
					<option value="11">November</option>
					<option value="12">Desember</option>
				</select>
			</div>
			<div class="controls">
				<input placeholder="2020" type="text" class="input-mini" maxlength="4" name="instant_countdown_until_years" id="instant_countdown_until_years" />:<input type="text" placeholder="12"  class="input-mini" maxlength="2" name="instant_countdown_until_date" id="instant_countdown_until_date" />:<input type="text" placeholder="8" class="input-mini" maxlength="2" name="instant_countdown_until_hours" id="instant_countdown_until_hours" />:<input type="text" placeholder="12" class="input-mini" maxlength="2" name="instant_countdown_until_mins" id="instant_countdown_until_mins" />:<input type="text" placeholder="30" class="input-mini" maxlength="2" name="instant_countdown_until_secs" id="instant_countdown_until_secs" />
				<span class="help-block">Format <code>Year : Date : Hours : Minutes : Seconds</code></span>
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_days">Days Label</label>
			<div class="controls">
				<input type="text" name="instant_countdown_days" id="instant_countdown_days" />
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_hours">Hours Label</label>
			<div class="controls">
				<input type="text" name="instant_countdown_hours" id="instant_countdown_hours" />
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_mins">Minutes Label</label>
			<div class="controls">
				<input type="text" name="instant_countdown_mins" id="instant_countdown_mins" />
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_secs">Seconds Label</label>
			<div class="controls">
				<input type="text" name="instant_countdown_secs" id="instant_countdown_secs" />
			</div>
		</div><!-- /control-group -->
	</div>
	<div class="tab-pane fade" id="tabstyle">
		<div class="control-group">
			<label class="control-label" for="instant_countdown_color">Font</label>
			<div class="controls"><?php render_font_family('instant_countdown_font'); ?></div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_color">Text Color</label>
			<div class="controls">
				<?php generate_colorpicker_box('instant_countdown_color', 'countdown_color', '#FFFFFF'); ?>
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_shadow">Text Shadow</label>
			<div class="controls">
				<?php generate_colorpicker_box('instant_countdown_shadow', 'countdown_shadow', '#000000'); ?>
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="countdown_label_color">Label Color</label>
			<div class="controls">
				<?php generate_colorpicker_box('instant_countdown_label_color', 'countdown_label_color', '#000000'); ?>
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_countdown_bgcolor">Background</label>
			<div class="controls">
				<?php generate_colorpicker_box('instant_countdown_bgcolor', 'countdown_bgcolor', '#000000'); ?>
			</div>
		</div><!-- /control-group -->
	</div>

	<div class="tab-pane fade" id="tabpreview">
		<div id="countdown"></div>
	</div>
</div>

<input type="hidden" name="instant_countdown_until" id="instant_countdown_until" value="2013:<?php echo date('m:d:g:i:s'); ?>:" />

<script type="text/javascript" src="<?php echo PLUGINAPP_URL; ?>assets/js/countdown.js"></script>
<script type="text/javascript">
/* <![CDATA[ */
(function($){
	$(document).ready(function(){
		$('#custom_countdown_color').init_color_box();
		$('#custom_countdown_shadow').init_color_box();
		$('#custom_countdown_label_color').init_color_box();
		$('#custom_countdown_bgcolor').init_color_box();

		$('#instant_countdown_until_years, #instant_countdown_until_month, #instant_countdown_until_date, #instant_countdown_until_hours, #instant_countdown_until_mins, #instant_countdown_until_secs').change(function(){
			init_until();
		});

		$('a[href="#tabpreview"]').live('click', function(){
			init_google_webfont();
			init_until();
			generate_countdown({
				color: get_data('color'),
				textshadow: get_data('textshadow'),
				labelcolor: get_data('labelcolor'),
				bgcolor: get_data('bgcolor'),
				font: get_data('font'),
				days: get_data('days'),
				hours: get_data('hours'),
				mins: get_data('mins'),
				secs: get_data('secs'),
				until: get_data('until')
			});
		});
	});
})(jQuery);

function init_until() {
	var until = '', today = new Date();

	until += ($('#instant_countdown_until_years').val() == '')? 2013: $('#instant_countdown_until_years').val();
	until += ':';
	until += $('#instant_countdown_until_month option:selected').val();
	until += ':';
	until += ($('#instant_countdown_until_date').val() == '')? today.getDate(): $('#instant_countdown_until_date').val();
	until += ':';
	until += ($('#instant_countdown_until_hours').val() == '')? today.getHours(): $('#instant_countdown_until_hours').val();
	until += ':';
	until += ($('#instant_countdown_until_mins').val() == '')? today.getMinutes(): $('#instant_countdown_until_mins').val();
	until += ':';
	until += ($('#instant_countdown_until_secs').val() == '')? today.getSeconds(): $('#instant_countdown_until_secs').val();
	until += ':';

	$('#instant_countdown_until').val(until);
}

function generate_countdown(props){
	$('#tabpreview').html('<div id="countdown"/>');
	$('#countdown').css({
		'font-family': props.font.replace(/g\+/, '').replace(/\+/ig, ' ').replace(/\n/ig, '')
	});

	the_until = props.until.match(/(\d{0,4}):/ig);
	$('#countdown').instant_countdown({
		until: $.instant_countdown.UTCDate(get_data('gmt'), to_digits(the_until[0]), to_digits(the_until[1]) - 1, to_digits(the_until[2]), to_digits(the_until[3]), to_digits(the_until[4]), to_digits(the_until[5])),
		format: 'YDHMS',
		layout: '<div class="shortcode-countdown">' + 
			'<div class="shortcode-countdown-labels" style="background:#'+props.bgcolor+'"><span class="shortcode-countdown-num" style="color:#'+props.color+';text-shadow:0 1px 1px #'+props.textshadow+'">{dnn}</span><span class="shortcode-countdown-label" style="color:#'+props.labelcolor+'">'+props.days+'</span></div>'+
			'<div class="shortcode-countdown-labels" style="background:#'+props.bgcolor+'"><span class="shortcode-countdown-num" style="color:#'+props.color+';text-shadow:0 1px 1px #'+props.textshadow+'">{hnn}</span><span class="shortcode-countdown-label" style="color:#'+props.labelcolor+'">'+props.hours+'</span></div>'+ 
			'<div class="shortcode-countdown-labels" style="background:#'+props.bgcolor+'"><span class="shortcode-countdown-num" style="color:#'+props.color+';text-shadow:0 1px 1px #'+props.textshadow+'">{mnn}</span><span class="shortcode-countdown-label" style="color:#'+props.labelcolor+'">'+props.mins+'</span></div>'+
			'<div class="shortcode-countdown-labels" style="background:#'+props.bgcolor+'"><span class="shortcode-countdown-num" style="color:#'+props.color+';text-shadow:0 1px 1px #'+props.textshadow+'">{snn}</span><span class="shortcode-countdown-label" style="color:#'+props.labelcolor+'">'+props.secs+'</span></div>' +
			'<div style="clear:both"></div>' +
		'</div>',
	});
}

function to_digits(str){
	return parseInt(str.replace(/\:/, ''));
}
/* ]]> */
</script>

<div id="countdown" style="font-family:georgia"></div>

<?php popup_footer(); ?>