<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabcontent" data-toggle="tab">Content</a></li>
	<li><a href="#tabstyle" data-toggle="tab">Style</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabcontent">
		<div class="control-group">
			<label class="control-label" for="instant_testimonial_author">Author Name</label>
			<div class="controls">
				<input placeholder="Insert Full Name" type="text" class="input-xlarge" name="instant_testimonial_author" id="instant_testimonial_author" />
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label" for="instant_testimonial_url">Author URL</label>
			<div class="controls">
				<input placeholder="http://" type="text" class="input-xlarge" name="instant_testimonial_url" id="instant_testimonial_url" />
				<span class="help-inline">Includes http://</span>
				<span class="help-block">Just leave blank, if you don't want to show author's URL.</span>
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label" for="instant_testimonial_pic">Photo URL</label>
			<div class="controls">
				<input placeholder="http://" type="text" class="input-xlarge" name="instant_testimonial_pic" id="instant_testimonial_pic" />
				<span class="help-inline">Includes http://</span>
				<span class="help-block">If URL is blank, photo will be disabled. Best Fit <code>100x100</code> px</span>
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_testimonial_align">Pic Position</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <button name="instant_testimonial_pic_pos" class="btn btn-success active" value="left"><i class="icon-white icon-picture"></i> Left</button>
		         <button name="instant_testimonial_pic_pos" class="btn btn-success" value="right">Right <i class="icon-white icon-picture"></i></button>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label" for="instant_testimonial_content">Testimonial</label>
			<div class="controls">
				<textarea class="span12" name="instant_testimonial_content" id="instant_testimonial_content"></textarea>
			</div>
		</div><!-- /control-group -->
	</div> <!-- /content -->
	<div class="tab-pane fade" id="tabstyle">
		<div class="span5">
			<div class="control-group">
				<label class="control-label">Border Color</label>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_testimonial_border_top_color', 'testimonial_border_top_color', '#DAD49A'); ?>
					<span class="help-inline">Top</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_testimonial_border_right_color', 'testimonial_border_right_color', '#DAD49A'); ?>
					<span class="help-inline">Right</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_testimonial_border_bottom_color', 'testimonial_border_bottom_color', '#DAD49A'); ?>
					<span class="help-inline">Bottom</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_testimonial_border_left_color', 'testimonial_border_left_color', '#DAD49A'); ?>
					<span class="help-inline">Left</span>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_testimonial_background">Background</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_testimonial_background', 'testimonial_background', '#FFEFA3'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_testimonial_color">Text Color</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_testimonial_color', 'testimonial_color', '#000000'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_testimonial_textshadow">Text Shadow</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_testimonial_textshadow', 'testimonial_textshadow', '#FFFFFF'); ?>
				</div>
			</div><!-- /control-group -->
		</div>
		<div class="span7">
			<div class="control-group">
				<label class="control-label">Border Width</label>
				<div class="controls">
					<input type="text" placeholder="1" style="width:15px" name="instant_testimonial_border_top" id="instant_testimonial_border_top" /> px - 
					<input type="text" placeholder="0" style="width:15px" name="instant_testimonial_border_right" id="instant_testimonial_border_right" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_testimonial_border_bottom" id="instant_testimonial_border_bottom" /> px - 
					<input type="text" placeholder="0" style="width:15px" name="instant_testimonial_border_left" id="instant_testimonial_border_left" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_testimonial_border_style">Border Style</label>
				<div class="controls">
					<div class="btn-group" data-toggle="buttons-radio">
						<button name="instant_testimonial_border_style" class="btn btn-inverse active" value="solid">Solid</button>
						<button name="instant_testimonial_border_style" class="btn btn-inverse" value="dashed">Dotted</button>
					</div>
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label">Border Radius</label>
				<div class="controls">
					<input type="text" placeholder="0" class="input-mini" name="instant_testimonial_border_radius" id="instant_testimonial_border_radius" /> px
				</div>
			</div><!-- /control-group -->
		</div>
	</div><!-- /style -->
	<div class="tab-pane fade" id="tabpreview">

	</div>
</div>

<input type="hidden" name="instant_testimonial_border_width" id="instant_testimonial_border_width" value="1+0+1+0" />
<input type="hidden" name="instant_testimonial_border_color" id="instant_testimonial_border_color" value="FFDB2A+FFDB2A+FFDB2A+FFDB2A" />

<script>
/* <![CDATA[ */
(function($){

	$(document).ready(function(){
		$('#custom_testimonial_border_top_color').init_color_box();
		$('#custom_testimonial_border_right_color').init_color_box();
		$('#custom_testimonial_border_bottom_color').init_color_box();
		$('#custom_testimonial_border_left_color').init_color_box();
		$('#custom_testimonial_background').init_color_box();
		$('#custom_testimonial_color').init_color_box();
		$('#custom_testimonial_textshadow').init_color_box();

		$('#instant_testimonial_padding_top, #instant_testimonial_padding_right, #instant_testimonial_padding_bottom, #instant_testimonial_padding_left').change(function(){
			init_padding();
		});

		$('#instant_testimonial_border_top, #instant_testimonial_border_right, #instant_testimonial_border_bottom, #instant_testimonial_border_left').change(function(){
			init_border_width();
		});

		$('a[href="#tabpreview"]').live('click', function(){
			before_send_to_editor();

			var html = '', pic = '',
			borderwidth = get_data('borderwidth'),
			bordercolor = get_data('bordercolor');

			borderwidth = borderwidth.replace(/\+/ig, 'px ') + 'px';
			bordercolor = '#'+bordercolor.replace(/\+/ig, ' #');

			if(get_data('pic') !== '') {
				pic += '<div class="shortcode-testimonial-photo shortcode-testimonial-photo-{data.picpos}"><img src="<?php echo PLUGINAPP_URL; ?>assets/img/pixel.gif" width="100" height="100" alt="{data.author}" style="background: url({data.pic}) no-repeat;" /></div>';
			};

			html += '<div class="shortcode-testimonial" style="border-width:'+borderwidth+';border-color:'+bordercolor+';border-style:{data.style};border-radius:{data.radius}px;-webkit-border-radius:{data.radius}px;-moz-border-radius:{data.radius}px;background-color:#{data.bgcolor};color:#{data.color};text-shadow:0px 1px 1px #{data.textshadow};">';
			html += pic;
			html += '<div class="shortcode-testimonial-inner '+((get_data('pic') !== '')? 'shortcode-testimonial-inner-float-{data.picpos}': '')+'">';
			html += '<div class="shortcode-testimonial-content">&quot;{data.content}&quot;</div>';
			html += '<div class="shortcode-testimonial-author shortcode-testimonial-author-{data.picpos}">{data.author}'+(((parse_domain_name(get_data('url')) !== '#'))? ' - <a target="_blank" href="{data.url}" style="color:{data.color}">'+ parse_domain_name(get_data('url'))+'</a>': '') +'</div>';
			html += '</div>';
			html += '<div style="clear:both"></div>'
			html += '</div>';

			get_preview(html);
		});
	});

})(jQuery);

function init_border_width() {
	init_set_plus({
		target: '#instant_testimonial_border_width',
		top: ['#instant_testimonial_border_top', '1'],
		right: ['#instant_testimonial_border_right', '0'],
		bottom: ['#instant_testimonial_border_bottom', '1'],
		left: ['#instant_testimonial_border_left', '0'],
	});
};

function init_border_color() {
	init_set_plus({
		target: '#instant_testimonial_border_color',
		top: ['#custom_testimonial_border_top_color', 'FFDB2A'],
		right: ['#custom_testimonial_border_right_color', 'FFDB2A'],
		bottom: ['#custom_testimonial_border_bottom_color', 'FFDB2A'],
		left: ['#custom_testimonial_border_left_color', 'FFDB2A'],
	});
};

function colorbox_callback() {
	init_border_color();
};

function before_send_to_editor() {
	init_border_width();
	init_border_color();
};
/* ]]> */
</script>

<?php popup_footer(); ?>