<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabsettings" data-toggle="tab">Settings</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabsettings">
		<div class="control-group">
		   <label class="control-label" for="instant_video_player">Player</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <button name="instant_video_player" class="btn btn-inverse active" value="jw">JW Player</button>
		         <button name="instant_video_player" class="btn btn-inverse" value="flow">Flow Player</button>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group" id="jw_skin">
			<label class="control-label" for="instant_video_player_jw_skin">Skin</label>
			<div class="controls control-space">
				<div class="btn-group" data-toggle="buttons-radio" style="height:20px">
					<button name="instant_video_player_jw_skin" class="btn btn-mini active" value="default">Default</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="beelden">Beelden</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="bekle">Bekle</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="eleganttwilight">Eleganttwilight</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="facebook">Facebook</button>
				</div>
			</div>
			<div class="controls control-space">
				<div class="btn-group" data-toggle="buttons-radio">
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="glow">Glow</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="grungetape">Grungetape</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="lightrv5">Lightrv5</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="modieus">Modieus</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="newtube">Newtube</button>
				</div>
			</div>
			<div class="controls control-space">
				<div class="btn-group" data-toggle="buttons-radio">
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="skewd">Skewd</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="slim">Slim</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="stijl">Stijl</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="stormtrooper">Stormtrooper</button>
					<button name="instant_video_player_jw_skin" class="btn btn-mini" value="whotube">Whotube</button>
				</div>
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_video_border">Border</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <button name="instant_video_border" class="btn btn-success" value="1">Yes</button>
		         <button name="instant_video_border" class="btn btn-success active" value="0">No</button>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_video_shadow">Box Shadow</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <button name="instant_video_shadow" class="btn btn-success" value="1">Yes</button>
		         <button name="instant_video_shadow" class="btn btn-success active" value="0">No</button>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label">URL</label>
			<div class="controls">
				<input type="text" class="input-xlarge"name="instant_video_url" id="instant_video_url" placeholder="http://www.youtube.com/watch?v=YE7VzlLtp-4" />
				<span class="help-inline">Includes http://</span>
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label">Size</label>
			<div class="controls">
				<input type="text" class="input-mini"name="instant_video_size_w" id="instant_video_size_w" placeholder="480" /> x <input type="text" class="input-mini"name="instant_video_size_h" id="instant_video_size_h" placeholder="270" />
			</div>
		</div><!-- /control-group -->
	</div>
	<div class="tab-pane fade" id="tabpreview">
		<div id="popup_instant_video_preview"></div>
	</div>
</div>




<input type="hidden" name="instant_video_player_jw_skin_hidden" id="instant_video_player_jw_skin_hidden" value="default" />

<script src="<?php echo PLUGINAPP_URL; ?>assets/player/jw/jwplayer.js"></script>
<script src="<?php echo PLUGINAPP_URL; ?>assets/player/flow/flowplayer-3.2.11.min.js"></script>
<script type="text/javascript">
  jwplayer('popup_instant_video_preview').setup({
    'flashplayer': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/player.swf',
    'id': 'video_preview',
    'width': '480',
    'height': '270',
    'file': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/video.mp4'
  });
</script>
<script>
(function($){

	$(document).ready(function(){

		$('a[href="#tabpreview"]').live('click', function(){
			$('button[name="instant_video_border"].active').trigger('click');
			$('button[name="instant_video_shadow"].active').trigger('click');
		});

		$('button[name="instant_video_player"]').live('click', function(e){
			e.preventDefault();
			reset_video_div();

			if($(this).val() == 'jw') {
				$('#jw_skin').show();
				jw_player_update();
			} else {
				$('#jw_skin').hide();
				flow_player_update();
			}
		});

		$('#instant_video_url').change(function(e){
			e.preventDefault();
			reset_video_div();

			if($('button[name="instant_video_player"].active').val() == 'jw') {
				jw_player_update();
			} else {

			}
		});

		$('button[name="instant_video_border"]').live('click', function(e){
			if($(this).val() == '1') {
				$('#popup_instant_video_preview').addClass('player-with-border');
			} else {
				$('#popup_instant_video_preview').removeClass('player-with-border');
			}
		});

		$('button[name="instant_video_shadow"]').live('click', function(e){
			if($(this).val() == '1') {
				$('#popup_instant_video_preview').addClass('player-with-shadow');
			} else {
				$('#popup_instant_video_preview').removeClass('player-with-shadow');
			}
		});

		$('button[name="instant_video_player_jw_skin"]').click(function(e){
			$('#jw_skin button').removeClass('active');
			jw_player_update($(this).val());
		});

	});

	function reset_video_div() {
		$('#popup_instant_video_preview_wrapper').before('<div id="popup_instant_video_preview"></div>');
		$('#popup_instant_video_preview_wrapper').remove();
	}

	function jw_player_update(skin) {
		skin = typeof skin !== 'undefined' ? skin : $('button[name="instant_video_player_jw_skin"].active').val();

		var video_url = ($('#instant_video_url').val() === '')? '<?php echo PLUGINAPP_URL; ?>assets/player/jw/video.mp4': $('#instant_video_url').val(),
		video_skin = (skin !== '')? skin: '';

		$('#instant_video_url').next().next('span.help-block').remove();
		$('#instant_video_url').attr('placeholder', 'http://www.youtube.com/watch?v=YE7VzlLtp-4');
		$('#instant_video_player_jw_skin_hidden').val(video_skin);
		jwplayer('popup_instant_video_preview').setup({
			'flashplayer': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/player.swf',
			'id': 'video_preview',
			'width': '480',
			'height': '270',
			'skin': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/skins/'+video_skin+'.zip',
			'file': video_url
		});
	}

	function flow_player_update(){
		$('#instant_video_url').next().after('<span class="help-block">Flow Player Free doesn\'t support YouTube yet.</span>');
		$('#instant_video_url').attr('placeholder', 'http://www.domain.com/path/yourvideo.flv');
		$('#popup_instant_video_preview').html('<a id="popup_instant_video_flow" href="<?php echo PLUGINAPP_URL; ?>assets/player/jw/video.mp4"></a>');
		$('#instant_video_player_jw_skin_hidden').val('');
		flowplayer("popup_instant_video_flow", "<?php echo PLUGINAPP_URL; ?>assets/player/flow/flowplayer-3.2.12.swf");
	}

})(jQuery);

</script>

<?php popup_footer(); ?>