<?php

$time 	= time();
$timex	= $time + rand(0,20);

if(wp_script_is('countdown', 'registered') == '')
{
	wp_register_script('countdown', PLUGINAPP_URL.'assets/js/countdown.js');
	echo '<script src="'.PLUGINAPP_URL.'assets/js/countdown.js"></script>';
}

if(preg_match('/g\+/', $atts['font']))
{
	$font_family = str_replace('g+', '', $atts['font']);
	$font_family = str_replace('+', ' ', $font_family);
	$font_family = trim($font_family);
	echo '<script>WebFontConfig.google.families.push("'.$font_family.'");</script>';
}
else
{
	$font_family = $atts['font'];
}


$until	= explode(':', $atts['until']);
?>
<div id="countdown_<?php echo $timex; ?>" style="font-family:'<?php echo $font_family; ?>';"></div>
<script>
/* <![CDATA[ */
jQuery(document).ready(function(){
	jQuery('#countdown_<?php echo $timex; ?>').instant_countdown({
		until: jQuery.instant_countdown.UTCDate(<?php echo $atts['gmt']; ?>, <?php echo $until[0]; ?>, <?php echo $until[1]; ?> - 1, <?php echo $until[2]; ?>, <?php echo $until[3]; ?>, <?php echo $until[4]; ?>, <?php echo $until[5]; ?>),
		format: 'YDHMS',
		layout: '<div class="shortcode-countdown">' + 
			'<div class="shortcode-countdown-labels" style="background:#<?php echo $atts['bgcolor']; ?>"><div class="shortcode-countdown-num" style="color:#<?php echo $atts['color']; ?>;text-shadow:0 1px 1px #<?php echo $atts['textshadow']; ?>">{dnn}</div><div class="shortcode-countdown-label" style="color:#<?php echo $atts['labelcolor']; ?>"><?php echo $atts['days']; ?></div></div>'+
			'<div class="shortcode-countdown-labels" style="background:#<?php echo $atts['bgcolor']; ?>"><div class="shortcode-countdown-num" style="color:#<?php echo $atts['color']; ?>;text-shadow:0 1px 1px #<?php echo $atts['textshadow']; ?>">{hnn}</div><div class="shortcode-countdown-label" style="color:#<?php echo $atts['labelcolor']; ?>"><?php echo $atts['hours']; ?></div></div>'+ 
			'<div class="shortcode-countdown-labels" style="background:#<?php echo $atts['bgcolor']; ?>"><div class="shortcode-countdown-num" style="color:#<?php echo $atts['color']; ?>;text-shadow:0 1px 1px #<?php echo $atts['textshadow']; ?>">{mnn}</div><div class="shortcode-countdown-label" style="color:#<?php echo $atts['labelcolor']; ?>"><?php echo $atts['mins']; ?></div></div>'+
			'<div class="shortcode-countdown-labels" style="background:#<?php echo $atts['bgcolor']; ?>"><div class="shortcode-countdown-num" style="color:#<?php echo $atts['color']; ?>;text-shadow:0 1px 1px #<?php echo $atts['textshadow']; ?>">{snn}</div><div class="shortcode-countdown-label" style="color:#<?php echo $atts['labelcolor']; ?>"><?php echo $atts['secs']; ?></div></div>' +
			'<div style="clear:both"></div>' +
		'</div>',
	});
	jQuery('#countdown_<?php echo $timex; ?>').css({
		width: (jQuery('#countdown_<?php echo $timex; ?> div.shortcode-countdown-labels:eq(0)').outerWidth() + jQuery('#countdown_<?php echo $timex; ?> div.shortcode-countdown-labels:eq(1)').outerWidth() + jQuery('#countdown_<?php echo $timex; ?> div.shortcode-countdown-labels:eq(2)').outerWidth() + jQuery('#countdown_<?php echo $timex; ?> div.shortcode-countdown-labels:eq(3)').outerWidth()) + 20 + 'px',
		margin: '0 auto'
	});
});
/* ]]> */
</script>