<?php
$base_dir = dirname(dirname(dirname(__FILE__))).'/';
$wpvars = $base_dir . 'config/wp-vars.php';
$config = $base_dir . 'config/buttons.php';
$views = $base_dir . 'views/';

require($wpvars);
require($config);

header('Content-type: text/javascript');

/* Default output is blank */
$output = '// Blank from Dev: oknoorap@gmail.com //';

if((isset($_GET['name']) && $_GET['name'] != '') && $_GET['type'] == 'params')
{
	$params = '';
	if(array_key_exists('params', $buttons[$_GET['name']]))
	{
		$params = 'var defaults = {';
		foreach($buttons[$_GET['name']]['params'] as $param_name=>$param_value)
		{
			$params .= $param_name.":'${param_value[0]}',";
		}
		$params = rtrim($params, ',');
		$params .= '},';

		$params .= 'params = {';
		foreach($buttons[$_GET['name']]['params'] as $param_name=>$param_value)
		{
			$params .= $param_name.":'${param_value[1]}',";
		}
		$params = rtrim($params, ',');
		$params .= '};';

		$output = $params;
	}
}
else
{
	$output = framework_include_output('shortcode-core.js');

	/* Generate Buttons */
	$btn = '[';
	foreach($buttons as $name=>$button)
	{
		$btn .= "['{$name}', '${button['title']}', '${button['icon']}'],";
	}
	$btn = rtrim($btn, ',');
	$btn .= ']';
	$output = str_replace('$buttons', $btn, $output);
	/* ------------------------- */

}

/* Final Output */
//$output = framework_compress($output);
echo $output;

/* End of file shortcodes.php as JS */