
<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabsettings" data-toggle="tab">Settings</a></li>
	<li><a href="#tabstyle" data-toggle="tab">Style</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabsettings">
		<div class="control-group">
			<label class="control-label" for="instant_abutton_label">Button Label</label>
			<div class="controls">
				<input type="text" placeholder="Try Signup!" class="input-xlarge" name="instant_abutton_label" id="instant_abutton_label" />
			</div>
		</div>
		<div class="control-group">
			<label class="control-label" for="instant_abutton_url">URL</label>
			<div class="controls">
				<input type="text" placeholder="http://" class="input-xlarge" name="instant_abutton_url" id="instant_abutton_url" />
			</div>
		</div>
		<div class="control-group">
			<label class="control-label" for="instant_abutton_target">Open</label>
			<div class="controls">
				<div class="btn-group" data-toggle="buttons-radio">
					<button name="instant_abutton_target" class="btn btn-success active" value="_blank">New Tab</button>
					<button name="instant_abutton_target" class="btn btn-success" value="_parent">Self</button>
				</div>
			</div>
		</div><!-- /control-group -->
		<div class="control-group">
			<label class="control-label" for="instant_abutton_img">Image URL</label>
			<div class="controls">
				<input type="text" placeholder="http://" class="input-xlarge" name="instant_abutton_img" id="instant_abutton_img" />
				<span class="help-block">Leave blank, if you don't want using image.</span>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label" for="instant_abutton_imgpos">Image Position</label>
			<div class="controls">
				<div class="btn-group" data-toggle="buttons-radio">
					<button name="instant_abutton_imgpos" class="btn btn-success active" value="top">Top</button>
					<button name="instant_abutton_imgpos" class="btn btn-success" value="bottom">Bottom</button>
				</div>
			</div>
		</div>		
	</div><!-- /#settings -->
	<div class="tab-pane fade" id="tabstyle">
		<div class="span4">
			<div class="control-group">
				<label class="control-label" for="instant_abutton_style">Text Style</label>
				<div class="controls">
					<div class="btn-group" data-toggle="buttons-checkbox">
						<button name="instant_abutton_style_bold" class="btn btn-success active" value="bold"><i class="icon-white icon-bold"></i></button>
						<button name="instant_abutton_style_italic" class="btn btn-success" value="italic"><i class="icon-white icon-italic"></i></button>
					</div>
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_abutton_color">Text Color</label>
				<div class="controls"><?php generate_colorpicker_box('instant_abutton_color', 'abutton_color', '#a68a00'); ?></div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_textshadow">Text Shadow</label>
				<div class="controls"><?php generate_colorpicker_box('instant_abutton_textshadow', 'abutton_textshadow', '#fff2bf'); ?></div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_bgcolor">Background</label>
				<div class="controls"><?php generate_colorpicker_box('instant_abutton_bgcolor', 'abutton_bgcolor', '#ffe229'); ?></div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_border">Border Color</label>
				<div class="controls"><?php generate_colorpicker_box('instant_abutton_border', 'abutton_border', '#c99702'); ?></div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_shadow">Button Shadow</label>
				<div class="controls"><?php generate_colorpicker_box('instant_abutton_shadow', 'abutton_shadow', '#9e9e9e'); ?></div>
			</div>
		</div>
		<div class="span8">
			<div class="control-group">
				<label class="control-label" for="instant_abutton_align">Align</label>
				<div class="controls">
					<div class="btn-group" data-toggle="buttons-radio">
						<button name="instant_abutton_align" class="btn btn-success active" value="left"><i class="icon-white icon-align-left"></i> Left</button>
						<button name="instant_abutton_align" class="btn btn-success" value="center"><i class="icon-white icon-align-center"></i> Center</button>
						<button name="instant_abutton_align" class="btn btn-success" value="right"><i class="icon-white icon-align-right"></i> Right</button>
					</div>
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_abutton_size">Font Size</label>
				<div class="controls">
					<input type="text" placeholder="22" class="input-mini" name="instant_abutton_size" id="instant_abutton_size" /> px
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_family">Font Family</label>
				<div class="controls">
					<?php render_font_family('instant_abutton_family'); ?>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Padding</label>
				<div class="controls">
					<input type="text" placeholder="10" style="width:15px" name="instant_abutton_padding_top" id="instant_abutton_padding_top" /> px - 
					<input type="text" placeholder="30" style="width:15px" name="instant_abutton_padding_right" id="instant_abutton_padding_right" /> px - 
					<input type="text" placeholder="10" style="width:15px" name="instant_abutton_padding_bottom" id="instant_abutton_padding_bottom" /> px - 
					<input type="text" placeholder="30" style="width:15px" name="instant_abutton_padding_left" id="instant_abutton_padding_left" /> px
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Border Width</label>
				<div class="controls">
					<input type="text" placeholder="1" style="width:15px" name="instant_abutton_border_top" id="instant_abutton_border_top" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_abutton_border_right" id="instant_abutton_border_right" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_abutton_border_bottom" id="instant_abutton_border_bottom" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_abutton_border_left" id="instant_abutton_border_left" /> px
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_border_radius">Border Radius</label>
				<div class="controls">
					<input type="text" placeholder="20" class="input-mini" name="instant_abutton_border_radius" id="instant_abutton_border_radius" /> px
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" for="instant_abutton_shadow_radius">Shadow Radius</label>
				<div class="controls">
					<input type="text" placeholder="3" class="input-mini" name="instant_abutton_shadow_radius" id="instant_abutton_shadow_radius" /> px
				</div>
			</div>
		</div>
	</div><!-- /#style -->
	<div class="tab-pane fade in tabpreview" id="tabpreview">

	</div>
</div>

<input type="hidden" name="instant_abutton_padding" id="instant_abutton_padding" value="10+30+10+30" />
<input type="hidden" name="instant_abutton_border_width" id="instant_abutton_border_width" value="1+1+1+1" />
<input type="hidden" name="instant_abutton_style" id="instant_abutton_style" value="" />

<script type="text/javascript">
/* <![CDATA[ */
(function($){

	$(document).ready(function(){
		$('#custom_abutton_color').init_color_box();
		$('#custom_abutton_textshadow').init_color_box();
		$('#custom_abutton_bgcolor').init_color_box();
		$('#custom_abutton_border').init_color_box();
		$('#custom_abutton_shadow').init_color_box();

		$('#instant_abutton_padding_top, #instant_abutton_padding_right, #instant_abutton_padding_bottom, #instant_abutton_padding_left').change(function(){
			init_padding();
		});

		$('#instant_abutton_border_top, #instant_abutton_border_right, #instant_abutton_border_bottom, #instant_abutton_border_left').change(function(){
			init_border_width();
		});

		$('a[href="#tabpreview"]').live('click', function(){
			init_google_webfont();
			before_send_to_editor();

			var html = '',
			the_img_top ='', the_img_btm ='',
			padding 	= get_data('padding'),
			border 		= get_data('borderwidth'),
			font_family = get_data('family'),
			astyle 		= get_data('style');

			padding		= padding.replace(/\+/ig, 'px ') + 'px';
			border 		= border.replace(/\+/ig, 'px ') + 'px';
			font_family = font_family.replace(/g\+/, '').replace(/\+/ig, ' ').replace(/\n/ig, '');
			astyle 		= astyle.replace(/bold/, 'font-weight:bold;').replace(/italic/, 'font-style:italic;');


			if(get_data('img') != '') {
				the_img_top = (get_data('imgpos') == 'top')? '<img src="'+get_data('img')+'" style="margin-bottom:20px"><br />': '';
				the_img_btm = (get_data('imgpos') == 'bottom')? '<br /><img src="'+get_data('img')+'" style="margin-top:20px">': '';
			};

			html += the_img_top + '<a href="{data.url}" target="{data.target}" style="text-align:center;text-decoration:none;'+astyle+'color:#{data.color};text-shadow:0 1px 1px #{data.textshadow};background-color:#{data.bg};font-size:{data.size}px;line-height:{data.size}px;font-family:\''+font_family+'\';padding:'+padding+';border-style:solid;border-color:#{data.border};border-radius:{data.radius}px;-webkit-border-radius:{data.radius}px;-moz-border-radius:{data.radius}px;border-width:'+border+';-moz-box-shadow: inset 0px 2px 2px #{data.textshadow}, 1px 1px {data.shadowradius}px #{data.shadow};-webkit-box-shadow: inset 0px 2px 2px #{data.textshadow}, 1px 1px {data.shadowradius}px #{data.shadow};box-shadow: inset 0px 2px 2px #{data.textshadow}, 1px 1px {data.shadowradius}px #{data.shadow};">';

			html += '{data.label}';
			html += '</a>' + the_img_btm;

			get_preview(html);
		});
	});

})(jQuery);

function init_padding() {
	init_set_plus({
		target: '#instant_abutton_padding',
		top: ['#instant_abutton_padding_top', '10'],
		right: ['#instant_abutton_padding_right', '30'],
		bottom: ['#instant_abutton_padding_bottom', '10'],
		left: ['#instant_abutton_padding_left', '30'],
	});
};

function init_border_width() {
	init_set_plus({
		target: '#instant_abutton_border_width',
		top: ['#instant_abutton_border_top', '1'],
		right: ['#instant_abutton_border_right', '1'],
		bottom: ['#instant_abutton_border_bottom', '1'],
		left: ['#instant_abutton_border_left', '1'],
	});
};

function init_font_style() {
	var style_val='';

	style_val += ($('button[name="instant_abutton_style_bold"]').hasClass('active'))? 'bold': '';
	style_val += ($('button[name="instant_abutton_style_italic"]').hasClass('active'))? 'italic': '';
	$('#instant_abutton_style').attr('value', style_val);
};

function before_send_to_editor() {
	init_padding();
	init_border_width();
	init_font_style();
};
/* ]]> */
</script>
<?php popup_footer(); ?>