<?php popup_header(); ?>

<div class="span12">
<div id="inner_content" class="pad_top">

   <div class="control-group">
      <label class="control-label" for="instant_btn_link">URL Target</label>
      <div class="controls">
         <input name="instant_btn_link" type="text" id="instant_btn_link"  placeholder="#" class="input-xlarge" />
         <span class="help-inline">Includes http://</span>
      </div>
   </div><!-- /control-group -->


   <div class="control-group">
      <label class="control-label" for="instant_btn_type">Type</label>
      <div class="controls">
         <select name="instant_btn_type" id="instant_btn_type">
            <option value="addtocart" selected="true">Add to Cart</option>
            <option value="addtocart2">Add to Cart 2</option>
            <option value="addtocart2pp">Add to Cart 2 with paypal</option>
            <option value="addtocart3">Add to Cart 3</option>
            <option value="addtocart3pp">Add to Cart 3 with paypal</option>
            <option value="buynow">Buy Now</option>
            <option value="checkout">Checkout</option>
            <option value="downloadnow">Download Now</option>
            <option value="earlybird">Get Early Bird Access</option>
            <option value="getaccessnow">Get Access Now</option>
            <option value="getinstantaccess">Get Instant Access</option>
            <option value="getonwaitinglist">Get On The Waiting List</option>
            <option value="getonthelist">Get On The List</option>
            <option value="ordernow">Order Now</option>
            <option value="registernow">Register Now</option>
            <option value="sendmethevideo">Send Me The Video</option>
            <option value="showmethevideo">Show Me The Video</option>
            <option value="signupnow">Sign Up Now!</option>
            <option value="yesletmeinearly">YES! Let Me In Early</option>
            <option value="yesletmeinnow">YES! Let Me In Now</option>
         </select>
      </div>
   </div><!-- /control-group -->


   <div class="control-group">
      <label class="control-label">Color</label>
      <div class="controls">
         <div class="btn-group" data-toggle="buttons-radio">
            <button name="instant_btn_color" class="btn btn-inverse active" value="yellow">Yellow</button>
            <button name="instant_btn_color" class="btn btn-inverse" value="lyellow">Light Yellow</button>
            <button name="instant_btn_color" class="btn btn-inverse" value="red">Red</button>
            <button name="instant_btn_color" class="btn btn-inverse" value="orange">Orange</button>
            <button name="instant_btn_color" class="btn btn-inverse" value="silver">Silver</button>
         </div>
      </div>
   </div><!-- /control-group -->


   <div class="control-group">
      <label class="control-label" for="instant_btn_target">Open</label>
      <div class="controls">
         <div class="btn-group" data-toggle="buttons-radio">
            <button name="instant_btn_target" class="btn btn-success active" value="_blank">New Tab</button>
            <button name="instant_btn_target" class="btn btn-success" value="_parent">Self</button>
         </div>
      </div>
   </div><!-- /control-group -->


   <div class="control-group">
      <label class="control-label" for="instant_btn_align">Align</label>
      <div class="controls">
         <div class="btn-group" data-toggle="buttons-radio">
            <button name="instant_btn_align" class="btn btn-success active" value="left"><i class="icon-white icon-align-left"></i> Left</button>
            <button name="instant_btn_align" class="btn btn-success" value="center"><i class="icon-white icon-align-center"></i> Center</button>
            <button name="instant_btn_align" class="btn btn-success" value="right"><i class="icon-white icon-align-right"></i> Right</button>
         </div>
      </div>
   </div><!-- /control-group -->

   <div id="popup_instant_button_preview" style="background:url(<?php echo PLUGINAPP_URL; ?>assets/img/button/addtocart-yellow.png) no-repeat 50% 50%;"></div>

</div>
</div>

<script type="text/javascript">
/* <![CDATA[ */
var _opt_color = '';

(function($){
   $(document).ready(function(){

      $('#instant_btn_type').change(function(){
         btn_val = $(this).find('option:selected').val();
         switch(btn_val)
         {
            case 'addtocart':
            case 'getaccessnow':
            case 'getinstantaccess':
            case 'downloadnow':
               _opt_color = {
                  yellow: 'show',
                  lyellow: 'show',
                  red: 'show',
                  silver: 'show',
                  orange: 'show'
               };
               _render(_opt_color, btn_val, 'yellow');
               break;
            case 'addtocart2':
            case 'addtocart2pp':
               _opt_color = {
                  yellow: 'show',
                  orange: 'show'
               };
               _render(_opt_color, btn_val, 'yellow');
               break;
            case 'addtocart3':
            case 'addtocart3pp':
               _opt_color = {
                  orange: 'show'
               };
               _render(_opt_color, btn_val, 'orange');
               break;
            case 'buynow':
            case 'checkout':
            case 'ordernow':
            case 'registernow':
            case 'yesletmeinnow':
               _opt_color = {
                  yellow: 'show',
                  silver: 'show'
               };
               _render(_opt_color, btn_val, 'yellow');
               break;
            case 'earlybird':
            case 'getonwaitinglist':
            case 'getonthelist':
            case 'yesletmeinearly':
            case 'sendmethevideo':
            case 'showmethevideo':
               _opt_color = {
                  yellow: 'show',
                  red: 'show',
                  orange: 'show'
               };
               _render(_opt_color, btn_val, 'yellow');
               break;
         };
      });

      $('button[name=instant_btn_color]').click(function(e){
         e.preventDefault();
         select_val = $('#instant_btn_type').find('option:selected').val();
         _preview(select_val, $(this).val());
      });

   });
   

   function _render(s, val, color)
   {
      _show_color(s);
      _check(color);
      _preview(val, color);
   }

   function _show_color(color)
   {
      $('button[name="instant_btn_color"]').hide();
      $.each(color, function(k, v){
         if(v == 'show'){
            $('button[name="instant_btn_color"][value="'+k+'"]').show();
         }
      });
   }

   function _check(input)
   {
      $('button[name="instant_btn_color"][value="'+input+'"]').click();
   }

   function _preview(img, color)
   {
      $("#popup_instant_button_preview").css({'background':'url(<?php echo PLUGINAPP_URL; ?>assets/img/button/'+img+'-'+color+'.png) no-repeat 50% 50%'});
   }
})(jQuery);
/* ]]> */
</script>

<?php popup_footer(); ?>