<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabcontents" data-toggle="tab">Content</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabcontents">
		<div class="control-group">
			<label class="control-label" for="instant_font_content">Text</label>
			<div class="controls">
				<input type="text" name="instant_font_content" id="instant_font_content" class="input-xlarge" placeholder="Your Text here" />
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label" for="instant_font_family">Font</label>
			<div class="controls"><?php render_font_family('instant_font_family'); ?></div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_font_color">Color</label>
		   <div class="controls"><?php generate_colorpicker_box('instant_font_color', 'font_color'); ?></div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_font_size">Size</label>
		   <div class="controls">
		   		<input type="text" name="instant_font_size" id="instant_font_size" class="input-mini" placeholder="12" /> px
		   </div>
		</div><!-- /control-group -->
	</div><!-- /tabcontent -->

	<div class="tab-pane fade" id="tabpreview"></div><!-- /tabpreview -->
</div>

<script type="text/javascript">
/* <![CDATA[ */
(function($){

	$(document).ready(function(){
		$('#custom_font_color').init_color_box();
		$('a[href="#tabpreview"]').live('click', function(){
			init_google_webfont();

			var the_html, font_family = get_data('family'), html = '';

			font_family = font_family.replace(/g\+/, '').replace(/\+/ig, ' ').replace(/\n/ig, '');
			html 	= '<span style="color: #{data.color};font-size:{data.size}px;font-family:\''+font_family+'\';">'+get_data('content')+'</span>';

			get_preview(html);
		});
	});

})(jQuery);
/* ]]> */
</script>

<?php popup_footer(); ?>