<?php

	$padding = str_replace('+', 'px ', $atts['padding']).'px';
	$border = str_replace('+', 'px ', $atts['borderwidth']).'px';

	$styles = str_replace(array('bold', 'italic'), array('font-weight:bold;', 'font-style:italic;'), $atts['style']);

	if(preg_match('/g\+/', $atts['family']))
	{
		$font_family = str_replace('g+', '', $atts['family']);
		$font_family = str_replace('+', ' ', $font_family);
		$font_family = trim($font_family);
		echo '<script>WebFontConfig.google.families.push("'.$font_family.'");</script>';
	}
	else
	{
		$font_family = $atts['family'];
	}

	if(preg_match('/\+/', $atts['padding'], $outer_padding))
	{
		$outer_padding = $outer_padding[0] + ($atts['size'] / 2);
		$outer_padding = round($outer_padding);
	}

	if($atts['img'] != '')
	{
		$image_top = ($atts['imgpos'] == 'top')? '<img src="'.$atts['img'].'" style="margin:0 auto 20px"><br />': '';
		$image_btm = ($atts['imgpos'] == 'bottom')? '<br /><img src="'.$atts['img'].'" style="margin:20px auto 0">': '';
	}
	else
	{
		$image_top = '';
		$image_btm = '';
	};
?>
<span class="shortcode-block shortcode-abutton" style="padding: <?php echo $outer_padding; ?>px 0;text-align:<?php echo $atts['align']; ?>"><?php echo $image_top; ?>
<a href="<?php echo $atts['url']; ?>" target="<?php echo $atts['target']; ?>" style="<?php echo $styles; ?>color:#<?php echo $atts['color']; ?>;text-shadow:0 1px 1px #<?php echo $atts['textshadow']; ?>;background-color:#<?php echo $atts['bg']; ?>;font-size:<?php echo $atts['size']; ?>px;line-height:<?php echo $atts['size']; ?>px;font-family:'<?php echo $font_family; ?>';padding:<?php echo $padding; ?>;border-style:solid;border-color:#<?php echo $atts['border']; ?>;border-radius:<?php echo $atts['radius']; ?>px;-webkit-border-radius:<?php echo $atts['radius']; ?>px;-moz-border-radius:<?php echo $atts['radius']; ?>px;border-width:<?php echo $border; ?>;-moz-box-shadow: inset 0px 2px 2px #<?php echo $atts['textshadow']; ?>, 1px 1px <?php echo $atts['shadowradius']; ?>px #<?php echo $atts['shadow']; ?>;-webkit-box-shadow: inset 0px 2px 2px #<?php echo $atts['textshadow']; ?>, 1px 1px <?php echo $atts['shadowradius']; ?>px #<?php echo $atts['shadow']; ?>;box-shadow: inset 0px 2px 2px #<?php echo $atts['textshadow']; ?>, 1px 1px <?php echo $atts['shadowradius']; ?>px #<?php echo $atts['shadow']; ?>;"><?php echo $atts['label']; ?></a><?php echo $image_btm; ?>
</span>