<?php
	if(preg_match('/g\+/', $atts['font']))
	{
		$font_family = str_replace('g+', '', $atts['font']);
		$font_family = str_replace('+', ' ', $font_family);
		$font_family = trim($font_family);
		echo '<script>WebFontConfig.google.families.push("'.$font_family.'");</script>';
	}
	else
	{
		$font_family = $atts['font'];
	}

	$border_width	= str_replace('+', 'px ', $atts['borderwidth']).'px';
	$border_color	= '#'.str_replace('+', ' #', $atts['bordercolor']);

	switch($atts['type']) {
		case '7':
		case '8':
		case '9':
			$img_width = 284;
			$img_height = 273;
			break;
		case '13':
			$img_width = 250;
			$img_height = 251;
			break;
		case '10':
		case '11':
		case '12':
			$img_width = 300;
			$img_height = 220;
			break;
		case '6':
		case '1':
		case '3':
			$img_width = 249;
			$img_height = 214;
			break;
		case '2':
		case '4':
		case '5':
		case '0':
			$img_width = 249;
			$img_height = 203;
			break;
	};
?>

<div class="shortcode-block shortcode-guarantee" style="font-family:'<?php echo $font_family; ?>';padding: <?php echo $atts['padding']; ?>px;color: #<?php echo $atts['color']; ?>;background-color: #<?php echo $atts['bgcolor']; ?>;border-width: <?php echo $border_width; ?>;border-style:<?php echo $atts['style']; ?>; border-color: <?php echo $border_color; ?>">

	<div class="shortcode-guarantee-image shortcode-guarantee-img-float-<?php echo $atts['imgpos']; ?> shortcode-guarantee-type-<?php echo $atts['type']; ?>">
		<img src="<?php echo PLUGINAPP_URL; ?>assets/img/pixel.gif" width="<?php echo $img_width; ?>" height="<?php echo $img_height; ?>" alt="" />
	</div>

	<div class="shortcode-guarantee-inner">
		<div class="shortcode-guarantee-title"><?php echo $atts['title']; ?></div>
		<div class="shortcode-guarantee-content"><?php echo $content; ?></div>
	</div>
	<div class="shortcode-clear"></div>
</div>