<?php

	$rand_number = rand(100, 500);

	if($atts['player'] == 'jw')
	{
		if(wp_script_is('jwplayer', 'registered') == '')
		{
			wp_register_script('jwplayer', PLUGINAPP_URL.'assets/player/jw/jwplayer.js');
			echo '<script src="'.PLUGINAPP_URL.'assets/player/jw/jwplayer.js"></script>';
		}
	}
	elseif($atts['player'] == 'flow')
	{
		if(wp_script_is('flowplayer', 'registered') == '')
		{
			wp_register_script('flowplayer', PLUGINAPP_URL.'assets/player/flow/flowplayer-3.2.11.min.js');
			echo '<script src="'.PLUGINAPP_URL.'assets/player/flow/flowplayer-3.2.11.min.js"></script>';
		}
	}

	$styles = '';
	if($atts['border'] == TRUE)
	{
		$styles .= 'border:1px solid #000000;';
	}

	if($atts['shadow'] == TRUE)
	{
		$styles .= '-webkit-box-shadow: 1px 1px 10px #000000;box-shadow: 1px 1px 10px #000000;';
	}
?>
<div class="shortcode-block shortcode-video" style="<?php echo $styles; ?>width:<?php echo $atts["width"]; ?>px;height:<?php echo $atts["height"]; ?>px">

	<?php if($atts['player'] == 'jw'): ?>
	<div id="video_player<?php echo $rand_number; ?>"></div>
	<?php elseif($atts['player'] == 'flow'): ?>
	<a id="video_player<?php echo $rand_number; ?>" href="<?php echo $atts["file"]; ?>" style="display:block;width:<?php echo $atts["width"]; ?>px;height:<?php echo $atts["height"]; ?>px;"></a>
	<?php endif; ?>


	<script>
		/*<![CDATA[*/ 
		<?php if($atts['player'] == 'jw'): ?>
		jwplayer('video_player<?php echo $rand_number; ?>').setup({
			'flashplayer': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/player.swf',
			'id': 'video_preview<?php echo $rand_number; ?>',
			'width': '<?php echo $atts["width"]; ?>',
			'height': '<?php echo $atts["height"]; ?>',
			'skin': '<?php echo PLUGINAPP_URL; ?>assets/player/jw/skins/<?php echo $atts["skin"]; ?>.zip',
			'file': '<?php echo $atts["file"]; ?>'
		});
		<?php elseif($atts['player'] == 'flow'): ?>
		flowplayer('video_player<?php echo $rand_number; ?>', {src: "<?php echo PLUGINAPP_URL; ?>assets/player/flow/flowplayer-3.2.12.swf", width: '<?php echo $atts["width"]; ?>', height: '<?php echo $atts["height"]; ?>'});
		<?php endif; ?>
		/*]]>*/
	</script>

</div>